Skip to main content
PATCH
/
v1
/
dev
/
user
/
action-items
/
{action_item_id}
Update Action Item
curl --request PATCH \
  --url https://api.omi.me/v1/dev/user/action-items/{action_item_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "completed": true,
  "description": "<string>",
  "due_at": "2023-11-07T05:31:56Z"
}
'
{
  "completed": true,
  "description": "<string>",
  "id": "<string>",
  "completed_at": "2023-11-07T05:31:56Z",
  "conversation_id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "due_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Send Authorization: Bearer <omi_developer_api_key>.

Path Parameters

action_item_id
string
required

Body

application/json
completed
boolean | null

New completion status

description
string | null

New description

Required string length: 1 - 500
due_at
string<date-time> | null

New due date (ISO format with timezone)

Response

Successful Response

completed
boolean
required
description
string
required
id
string
required
completed_at
string<date-time> | null
conversation_id
string | null
created_at
string<date-time> | null
due_at
string<date-time> | null
updated_at
string<date-time> | null